﻿Public Class frmGroups

    Dim mtxtRef() As TextBox
    Dim mtxtGroup() As TextBox


    Private Sub frmGroups_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Dim groupfile As String
        Dim refname As String
        Dim groupname As String
        Dim i As Integer
        Dim n As Integer
        Dim sstr As String

        mtxtRef = ControlArrayUtils.getControlArray(Me, "txtRef")
        mtxtGroup = ControlArrayUtils.getControlArray(Me, "txtGroup")

        groupfile = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\Standardgroups.txt"
        If System.IO.File.Exists(groupfile) = False Then
            MsgBox("Cannot find the file Standardgroups.txt. This file should be in your My Documents folder. Either quit this menu and move the file to the correct path, or make a new file from scratch using this menu", 16, "AthenaAut Error")
            Exit Sub

        End If

        FileOpen(1, groupfile, OpenMode.Input)
        Input(1, sstr)
        For i = 1 To 30
            If EOF(1) = True Then Exit For
            n = i
            Input(1, refname)
            If EOF(1) = True Then Exit For
            Input(1, groupname)
            mtxtRef(i).Text = refname
            mtxtGroup(i).Text = groupname
            mtxtRef(i).Visible = True
            mtxtGroup(i).Visible = True
        Next i
        FileClose(1)
        txtNoref.Text = Trim(Str(n))


    End Sub

    Private Sub cmdSave_Click(sender As Object, e As EventArgs) Handles cmdSave.Click

        Dim groupfile As String
        Dim i As Integer
        Dim n As Integer
        Dim refname As String
        Dim groupname As String

        n = CInt(Val(txtNoref.Text))
        groupfile = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\Standardgroups.txt"

        FileOpen(2, groupfile, OpenMode.Output)
        WriteLine(2, "This file defines the grouping of standards in AthenaAut")
        For i = 1 To n
            refname = Trim(mtxtRef(i).Text)
            groupname = Trim(mtxtGroup(i).Text)
            WriteLine(2, refname, groupname)

        Next i

        FileClose(2)
        frmResults.Show()
        Me.Close()


    End Sub

    Private Sub cmdGo_Click(sender As Object, e As EventArgs) Handles cmdGo.Click

        Dim i As Integer
        Dim n As Integer

        n = CInt(Val(txtNoref.Text))

        If n > 30 Then
            MsgBox("Sorry, the number of standards will be limited to 30 - this version of the program does not support more than 30", 16, "AthenaAut Error")
            n = 30

        End If
        For i = 1 To n
            mtxtRef(i).Visible = True
            mtxtGroup(i).Visible = True
        Next i
        For i = (n + 1) To 30
            mtxtRef(i).Visible = False
            mtxtGroup(i).Visible = False
        Next i


    End Sub

End Class