﻿Option Explicit On

Imports System.Runtime.InteropServices


Public Class frmMain
    Dim mAthenapath As String
    Dim mBasefilename As String
    Dim mChosenmodel As String

    Dim mWaitfactor As Double

    Dim mFullfilename_LCF As String
    Dim mNoref As Integer
    Dim mSamplefolder As String

    Dim mFirstenergy As Double
    Dim mNorefinfile As Integer
    Dim mNospectra As Integer
    Dim mWaittime As Integer
    Dim mReferencename(30) As String
    Dim mRefgroup(30) As String
    Dim mGroupid() As String



    <DllImport("user32.dll", EntryPoint:="mouse_event")>
    Private Shared Sub mouse_event(dwFlags As UInteger, dx As Integer, dy As Integer, dwData As UInteger,
                                   dwExtraInfo As Integer)
    End Sub

    Private Declare Function ShowWindow Lib "user32" (ByVal handle As IntPtr, ByVal nCmdShow As Integer) As Integer


    'For this program to work, the following conditions must be met

    '1. The .csv file should be imported in normalized mode and the scan should not be marked
    '2. While all standards in the standards file should be marked-


    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles cmdRun.Click

        Dim currfile As String
        Dim demeterpath As String
        Dim errfound As Boolean
        Dim extime As Integer
        Dim folderfile As String

        Dim fullfilrun As String
        Dim i As Integer
        Dim i2 As Integer
        Dim inputname As String
        Dim j As Integer
        Dim k As Integer
        Dim lstring As String
        Dim n As Integer
        Dim ovw As String
        Dim outputname As String
        Dim p As New ProcessStartInfo
        Dim r As New ProcessStartInfo
        Dim refline As String
        Dim sampleline As String
        Dim samplepath As String
        Dim samplepath_LCF As String
        Dim s1 As Process
        Dim height As Integer
        Dim width As Integer
        Dim wrat As Double
        Dim wrat2 As Double
        Dim opt1 As String
        Dim pos1 As Integer
        Dim pos2 As Integer
        Dim strlength As Integer

        Label3.Visible = False
        mAthenapath = txtAthenapath.Text

        E0 = Trim(txtE0.Text)
        If optOverwrite.Checked = True Then
            ovw = "Overwrite"
        ElseIf optSkip.Checked = True Then
            ovw = "Skip and move to next"
        End If
        mWaitfactor = Val(txtWaitfactor.Text)

        height = Screen.PrimaryScreen.Bounds.Height
        width = Screen.PrimaryScreen.Bounds.Width

        p.FileName = mAthenapath
        p.WindowStyle = ProcessWindowStyle.Maximized

        strlength = Len(mAthenapath)
        demeterpath = Mid(mAthenapath, 1, strlength - 37) & "demeter"


        For i2 = 1 To NoSets
            pos1 = InStr(LCF_folder(i2), ".CSV")
            pos2 = InStrRev(LCF_folder(i2), "\", -1)

            mBasefilename = LCF_folder(i2).Substring(0, pos1 - 3)
            If Microsoft.VisualBasic.Right(mBasefilename, 1) = "_" Then
                pos1 = InStrRev(mBasefilename, "_")
                mBasefilename = mBasefilename.Substring(0, pos1 - 1)
            End If
            mBasefilename = Mid(mBasefilename, pos2 + 1)

            If Numrefs(i2) > 15 Then mWaittime = 1500 * mWaitfactor
            If Numrefs(i2) = 15 Then mWaittime = 680 * mWaitfactor
            If Numrefs(i2) = 14 Then mWaittime = 514 * mWaitfactor
            If Numrefs(i2) = 13 Then mWaittime = 381 * mWaitfactor
            If Numrefs(i2) = 12 Then mWaittime = 276 * mWaitfactor
            If Numrefs(i2) = 11 Then mWaittime = 194 * mWaitfactor
            If Numrefs(i2) = 10 Then mWaittime = 132.5 * mWaitfactor
            If Numrefs(i2) = 9 Then mWaittime = 86.9 * mWaitfactor
            If Numrefs(i2) = 8 Then mWaittime = 54.4 * mWaitfactor
            If Numrefs(i2) = 7 Then mWaittime = 32.1 * mWaitfactor
            If Numrefs(i2) < 7 Then mWaittime = 30 * mWaitfactor

            mNospectra = Numspectra(i2)

            n = Startvalue(i2) - 1

            'Here starts the main loop

            lblNext.Visible = True
            lblNum.Visible = True
            lblNextset.Visible = True
            lblNumSet.Visible = True

            lblNumSet.Text = Trim(Str(i2))
            lblNumSet.Refresh()

            inputname = demeterpath & "\demeter.mru"
            outputname = demeterpath & "\demeter.mrx"

            'Here, manipulate the file demeter.mru

            strlength = InStrRev(LCF_folder(i2), "\", -1)
            Filesfolder = Microsoft.VisualBasic.Left(LCF_folder(i2), strlength - 1)
            samplepath = Filesfolder & "\sample.CSV"
            samplepath_LCF = samplepath & ".lcf"
            Fullfilename = LCF_folder(i2)

            If InStr(samplepath, "å") > 0 Or InStr(samplepath, "ä") > 0 Or InStr(samplepath, "ö") > 0 Then
                MsgBox("The sample path contains an incorrect character. Click to exit", 16, "AthenaAut Error")
                Exit Sub
            ElseIf InStr(Refbase(i2), "å") > 0 Or InStr(Refbase(i2), "ä") > 0 Or InStr(Refbase(i2), "ö") > 0 Then
                MsgBox("The path to the project file with references contains an incorrect character. Click to exit", 16, "AthenaAut Error")
                Exit Sub
            End If

            sampleline = "0 = " & samplepath
            refline = "1 = " & Refbase(i2)

            FileOpen(10, inputname, OpenMode.Input)
            FileOpen(11, outputname, OpenMode.Output)

            For j = 1 To 500
                lstring = LineInput(10)
                If Microsoft.VisualBasic.Left(lstring, 9) = "[xasdata]" Then
                    PrintLine(11, lstring)
                    Exit For
                End If
                PrintLine(11, lstring)
            Next j

            For j = 1 To 20
                lstring = LineInput(10)


                If Microsoft.VisualBasic.Left(lstring, 3) = "0 =" Then
                    'Exchange CSV file
                    PrintLine(11, sampleline)
                    GoTo nextj
                End If

                If Microsoft.VisualBasic.Left(lstring, 3) = "1 =" Then
                    'Exchange references file
                    PrintLine(11, refline)
                    GoTo nextj

                End If
                PrintLine(11, lstring)
nextj:
                If EOF(10) = True Then Exit For
            Next j

            FileClose(10)
            FileClose(11)

            System.IO.File.Copy(outputname, inputname, True)
            System.IO.File.Delete(outputname)

            For i = 1 To mNospectra


                'Update counter of the spectrum

                errfound = False
                n = n + 1
                extime = 0
                lblNum.Text = Trim(Str(n))
                lblNum.Refresh()
                wait(1)

                'Get rid of any previous first spectrum+LCF file in the sample file folder

                If System.IO.File.Exists(samplepath) = True Then System.IO.File.Delete(samplepath)

                'Next copy the right spectrum to the sample files folder
                currfile = Filesfolder & "\" & mBasefilename & "_" & Trim(Str(n)) & ".CSV"

                'If the file does not exist, go to the next i
                If System.IO.File.Exists(currfile) = False Then
                    GoTo nexti
                End If

                System.IO.File.Copy(currfile, samplepath)

resumefromhere:

                If System.IO.File.Exists(samplepath_LCF) = True Then System.IO.File.Delete(samplepath_LCF)

                Process.Start(p)

                wait(8)

                Dim Athenas As Process() = Process.GetProcessesByName("Perl")
                For Each s As Process In Athenas
                    ShowWindow(s.MainWindowHandle, 3) ' SW_MAXIMIZE
                Next
                wait(4)
                MouseMover(1000 * 1280 / width, 3000 * 720 / height)
                MouseLeftClick()
                MouseMover(1000 * 1280 / width, 7000 * 720 / height)
                MouseLeftClick()

                'Select the second most recent file to import - this should be the standards file
                MouseMover(20000 * 1280 / width, 8600 * 720 / height)
                MouseLeftClick()
                MouseMover(15000 * 1280 / width, 52000 * 720 / height)
                MouseLeftClick()
                wait(4)
                MouseMover(45000 * 1280 / width, 38000 * 720 / height)
                MouseLeftClick()
                wait(2)

                'Now again select the second most recent file to import - this should be the sample scan
                MouseMover(1000 * 1280 / width, 3000 * 720 / height)
                MouseLeftClick()
                MouseMover(1000 * 1280 / width, 7000 * 720 / height)
                MouseLeftClick()
                MouseMover(20000 * 1280 / width, 8600 * 720 / height)
                MouseLeftClick()
                MouseMover(8000 * 1280 / width, 61000 * 720 / height)
                MouseLeftClick()
                wait(4)
                MouseMover(45000 * 1280 / width, 38000 * 720 / height)
                MouseLeftClick()
                wait(2)

                MouseMover(1600 * 1280 / width, 20600 * 720 / height)
                MouseLeftClick()
                For k = 1 To 16
                    SendKeys.Send("{DELETE}")
                Next k
                SendKeys.Send(E0)

                wrat = 0.5 * (720 / height + 1)
                wrat2 = 0.25 * (720 / height + 3)

                wait(2)

                MouseMover(15000 * 1280 / width, 7200 * 720 / height)
                MouseLeftClick()
                MouseMover(15000 * 1280 / width, 27000 * 720 / height)
                MouseLeftClick()
                wait(2)
                MouseMover(20000 * 1280 / width, 50500 * wrat)
                MouseLeftClick()
                wait(0.5)
                MouseMover(20000 * 1280 / width, 36000 * wrat)
                MouseLeftClick()

                'Comment out the following two lines on some computers - on some others they should be left

                If Numrefs(i2) > 6 Then
                    MouseMover(13000 * 1280 / width, 21500 * 720 / height)
                    MouseLeftClick()
                End If


                If errfound = False Then
                    On Error GoTo Errhandler
                End If

                'Wait X seconds until the LCF run is complete
                wait(mWaittime + extime)

                MouseMover(50000, 29500)
                MouseLeftClick()
                wait(1)

                MouseMover(5000 * 1280 / width, 13600 * wrat)
                MouseLeftClick()
                wait(2)
                MouseMover(13000 * 1280 / width, 54000 * wrat2)
                MouseLeftClick()
                wait(4)
                SendKeys.Send("{Enter}")

                wait(3)
                For Each proc As Process In Process.GetProcessesByName("Perl")
                    proc.Kill()
                Next
              
                'Everything finished - now copy the LCF file to the right location and rename it
                If errfound = False Then currfile = currfile & ".lcf"

                'If samplepath_LCF does not exist, it means that an unhandled error has occurred - we then need to try again
                If System.IO.File.Exists(samplepath_LCF) = False Then
                    errfound = True
                    GoTo Errhandler
                End If

                System.IO.File.Copy(samplepath_LCF, currfile, True)
                wait(1)
                GoTo nexti

Errhandler:

                'LCF file did not exist - lets try once more with a 60 s longer wait time

                lblInfo.Visible = True
                lblInfo.Refresh()

                extime = 60
                wait(60)
                errfound = True
                lblInfo.Visible = False
                lblInfo.Refresh()

                GoTo resumefromhere
nexti:
            Next i

        Next i2


        folderfile = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\athenaaut_folders.txt"
        FileOpen(1, folderfile, OpenMode.Output)
        WriteLine(1, Fullfilename)
        WriteLine(1, E0)
        WriteLine(1, ovw)
        WriteLine(1, mWaitfactor)
        WriteLine(1, mAthenapath)
        WriteLine(1, "")
        FileClose(1)

        Label3.Visible = True




    End Sub

    Private Sub Test()
        MouseMover(17000, 17000)
        Application.DoEvents()
        MouseLeftClick()
    End Sub

    

    
    Private Sub wait(ByVal seconds As Integer)

        For i As Integer = 0 To seconds

            System.Threading.Thread.Sleep(1000)
            Application.DoEvents()
        Next
    End Sub

    Public Shared Sub MouseMover(ByVal x As Integer, ByVal y As Integer)
        'Dim fx = x * (65535.0# / (GetSystemMetrics(SystemMetric.SM_CXSCREEN) - 1))
        'Dim fy = y * (65535.0# / (GetSystemMetrics(SystemMetric.SM_CYSCREEN) - 1))
        Dim fx = x
        Dim fy = y
        Dim it As New INPUT
        it.dwType = INPUT_MOUSE
        it.mkhi.mi.dwFlags = MOUSEEVENTF_MOVE Or MOUSEEVENTF_ABSOLUTE
        it.mkhi.mi.dx = fx
        it.mkhi.mi.dy = fy
        SendInput(1, it, Marshal.SizeOf(it))
    End Sub

    Public Shared Sub MouseLeftClick()
        Dim it As New INPUT
        it.dwType = INPUT_MOUSE
        it.mkhi.mi.dwFlags = MOUSEEVENTF_LEFTDOWN
        SendInput(1, it, Marshal.SizeOf(it))
        Application.DoEvents()
        it = New INPUT
        it.dwType = INPUT_MOUSE
        it.mkhi.mi.dwFlags = MOUSEEVENTF_LEFTUP
        SendInput(1, it, Marshal.SizeOf(it))
    End Sub

    Private Structure INPUT
        Dim dwType As Integer
        Dim mkhi As MOUSEKEYBDHARDWAREINPUT
    End Structure

    <StructLayout(LayoutKind.Explicit)> _
    Private Structure MOUSEKEYBDHARDWAREINPUT
        <FieldOffset(0)> Public mi As MOUSEINPUT
        <FieldOffset(0)> Public ki As KEYBDINPUT
        <FieldOffset(0)> Public hi As HARDWAREINPUT
    End Structure

    Private Structure MOUSEINPUT
        Public dx As Integer
        Public dy As Integer
        Public mouseData As Integer
        Public dwFlags As Integer
        Public time As Integer
        Public dwExtraInfo As Integer
    End Structure

    Private Structure KEYBDINPUT
        Public wVk As Short
        Public wScan As Short
        Public dwFlags As Integer
        Public time As Integer
        Public dwExtraInfo As Integer
    End Structure

    Private Structure HARDWAREINPUT
        Public uMsg As Integer
        Public wParamL As Short
        Public wParamH As Short
    End Structure

    Const INPUT_MOUSE As UInt32 = 0
    Const INPUT_KEYBOARD As Integer = 1
    Const INPUT_HARDWARE As Integer = 2
    Const XBUTTON1 As UInt32 = &H1
    Const XBUTTON2 As UInt32 = &H2
    Const MOUSEEVENTF_MOVE As UInt32 = &H1
    Const MOUSEEVENTF_LEFTDOWN As UInt32 = &H2
    Const MOUSEEVENTF_LEFTUP As UInt32 = &H4
    Const MOUSEEVENTF_RIGHTDOWN As UInt32 = &H8
    Const MOUSEEVENTF_RIGHTUP As UInt32 = &H10
    Const MOUSEEVENTF_MIDDLEDOWN As UInt32 = &H20
    Const MOUSEEVENTF_MIDDLEUP As UInt32 = &H40
    Const MOUSEEVENTF_XDOWN As UInt32 = &H80
    Const MOUSEEVENTF_XUP As UInt32 = &H100
    Const MOUSEEVENTF_WHEEL As UInt32 = &H800
    Const MOUSEEVENTF_VIRTUALDESK As UInt32 = &H4000
    Const MOUSEEVENTF_ABSOLUTE As UInt32 = &H8000

    <DllImport("user32.dll")> Private Shared Function GetSystemMetrics(ByVal smIndex As Integer) As Integer
    End Function
    <DllImport("user32.dll")> Private Shared Function SendInput(ByVal nInputs As Integer, ByRef pInputs As INPUT, ByVal cbSize As Integer) As Integer
    End Function

    Public Enum SystemMetric As Integer
        ''' <summary>
        '''  Width of the screen of the primary display monitor in pixels. This is the same values obtained by calling GetDeviceCaps as follows: GetDeviceCaps( hdcPrimaryMonitor HORZRES).
        ''' </summary>
        SM_CXSCREEN = 0
        ''' <summary>
        ''' Height of the screen of the primary display monitor in pixels. This is the same values obtained by calling GetDeviceCaps as follows: GetDeviceCaps( hdcPrimaryMonitor VERTRES).
        ''' </summary>
        SM_CYSCREEN = 1
    End Enum

    Private Sub frmMain_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing

        Environment.Exit(0)

    End Sub

    Private Sub frmMain_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Dim folderfile As String
        Dim filesfolderinitial As String
        Dim fullfileinitial As String
        Dim strlength As Integer
        Dim i As Integer
        Dim opt1 As String
        Dim ovw As String
        Dim pos1 As String
        Dim sstr As String

        For i = 1 To 10
            Startvalue(i) = 0
            Numspectra(i) = 0
            Numrefs(i) = 0
            LCF_folder(i) = vbNullString
            Refbase(i) = vbNullString

        Next i

        B_Alpha = 1.5
        B_Beta = 1.5
        N_Stddev = 0.02


        folderfile = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\athenaaut_folders.txt"

        If System.IO.File.Exists(folderfile) = True Then
            FileOpen(1, folderfile, OpenMode.Input)
            FileSystem.Input(1, Fullfilename)
            FileSystem.Input(1, E0)
            FileSystem.Input(1, ovw)
            FileSystem.Input(1, mWaitfactor)
            FileSystem.Input(1, mAthenapath)
            FileSystem.Input(1, sstr)

            FileClose(1)

            strlength = InStrRev(Fullfilename, "\", -1)
            fullfileinitial = Microsoft.VisualBasic.Left(Fullfilename, strlength - 1)
            Filesfolder = fullfileinitial
            If ovw = "Overwrite" Then optOverwrite.Checked = True Else optSkip.Checked = True

           
            txtE0.Text = E0
            txtAthenapath.Text = mAthenapath

            FolderBrowserDialog1.SelectedPath = Filesfolder

            OpenFileDialog1.InitialDirectory = fullfileinitial


        End If
        cmdDefault.Visible = False

    End Sub


    Private Sub cmdBrowseAthena_Click(sender As Object, e As EventArgs) Handles cmdBrowseAthena.Click

        OpenFileDialog1.Filter = "Batch files (*.bat)|*.bat"
        If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub

        txtAthenapath.Text = OpenFileDialog1.FileName
        cmdDefault.Visible = True

    End Sub

    

    Public Function IsExcelRunning() As Boolean

        Dim oApp As Object

        On Error Resume Next

        oApp = GetObject(, "Excel.Application")

        IsExcelRunning = (Err.Number = 0)
        oApp = Nothing
        Err.Clear()

    End Function


    Private Sub MCSamplingToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles MCSamplingToolStripMenuItem.Click

        frmMC.Show()

    End Sub

    Private Sub DefineSequenceToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles DefineSequenceToolStripMenuItem.Click

        Label3.Visible = False
        frmSequence.Show()

    End Sub


    Private Sub ResultsProcessingToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ResultsProcessingToolStripMenuItem.Click

        E0 = Trim(txtE0.Text)
        frmResults.Show()

    End Sub

   
    Private Sub ExitToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ExitToolStripMenuItem.Click

        Environment.Exit(0)

    End Sub

    Private Sub NotifyIcon20_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles NotifyIcon20.MouseDoubleClick

    End Sub

    Private Sub NotifyIcon21_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles NotifyIcon21.MouseDoubleClick

    End Sub

    Private Sub txtE0_TextChanged(sender As Object, e As EventArgs) Handles txtE0.TextChanged
        cmdDefault.Visible = True
    End Sub

    Private Sub txtWaitfactor_TextChanged(sender As Object, e As EventArgs) Handles txtWaitfactor.TextChanged
        cmdDefault.Visible = True
    End Sub


    Private Sub optOverwrite_CheckedChanged(sender As Object, e As EventArgs) Handles optOverwrite.CheckedChanged
        cmdDefault.Visible = True
    End Sub

    Private Sub optSkip_CheckedChanged(sender As Object, e As EventArgs) Handles optSkip.CheckedChanged
        cmdDefault.Visible = True
    End Sub

    Private Sub cmdDefault_Click(sender As Object, e As EventArgs) Handles cmdDefault.Click

        Dim folderfile As String
        Dim ovw As String

        mAthenapath = txtAthenapath.Text

        E0 = Trim(txtE0.Text)
        If optOverwrite.Checked = True Then
            ovw = "Overwrite"
        ElseIf optSkip.Checked = True Then
            ovw = "Skip and move to next"
        End If
        mWaitfactor = Val(txtWaitfactor.Text)

     
        folderfile = My.Computer.FileSystem.SpecialDirectories.MyDocuments & "\athenaaut_folders.txt"
        FileOpen(1, folderfile, OpenMode.Output)
        WriteLine(1, Fullfilename)
        WriteLine(1, E0)
        WriteLine(1, ovw)
        WriteLine(1, mWaitfactor)
        WriteLine(1, mAthenapath)
        WriteLine(1, "")
        FileClose(1)
    End Sub
End Class
