﻿Public Class frmSequence

    Dim mCloseform As Boolean
    Dim mInd As Integer
    Dim mCurrentset As Integer

    Private Sub cmdConfirm_Click(sender As Object, e As EventArgs) Handles cmdConfirm.Click

        Dim i As Integer
        Dim j As Integer

        NoSets = Val(txtNoSets.Text)
        cboNoset.Items.Clear()
        For i = 1 To NoSets
            cboNoset.Items.Add(Trim(Str(i)))
        Next i

    End Sub

    Private Sub frmSequence_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        mCloseform = False
        txtFolderFiles.Text = Fullfilename
        OpenFileDialog1.InitialDirectory = Filesfolder
        'OpenFileDialog2.InitialDirectory = Filesfolder

        Dim i As Integer

        If NoSets = 0 Then
            cboNoset.Items.Add("1")
        Else
            txtNoSets.Text = Str(NoSets)
            For i = 1 To NoSets
                cboNoset.Items.Add(Trim(Str(i)))
            Next i
            txtStartVal.Text = Trim(Str(Startvalue(1)))
            txtNospectra.Text = Trim(Str(Numspectra(1)))
            txtNumrefs.Text = Trim(Str(Numrefs(1)))
            txtRefs.Text = Refbase(1)
            txtFolderFiles.Text = LCF_folder(1)

        End If
        mCurrentset = 1
        NoSets = 1

    End Sub
    Private Sub frmSequence_FormClosing(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Dim Cancel As Boolean = eventArgs.Cancel
        Dim UnloadMode As System.Windows.Forms.CloseReason = eventArgs.CloseReason

        If mCloseform = False Then
            MsgBox("To close this form you should use one of the command buttons", 16, "AthenaAut error")
            Cancel = True
        End If

        eventArgs.Cancel = Cancel
    End Sub

    Private Sub cboNoset_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboNoset.SelectedIndexChanged

        Dim k As Integer

        k = Val(cboNoset.Text)
        Call Sequpdater(mCurrentset, k)
        If k = 9999 Then
            cboNoset.Text = Trim(Str(mCurrentset))
            Exit Sub

        End If
        mCurrentset = k
        If mCurrentset > 1.5 Then chkSameRefs.Visible = False Else chkSameRefs.Visible = True
        chkSameRefs.Checked = False

    End Sub




    Public Sub Sequpdater(ByRef i As Integer, ByRef k2 As Integer)

        Dim j As Integer

        Startvalue(i) = Val(txtStartVal.Text)
        Numspectra(i) = Val(txtNospectra.Text)
        Numrefs(i) = Val(txtNumrefs.Text)
        Refbase(i) = Trim(txtRefs.Text)
        LCF_folder(i) = Trim(txtFolderFiles.Text)

        If Startvalue(i) = 0 Or Numspectra(i) = 0 Or Numrefs(i) = 0 Or Refbase(i) = vbNullString Or LCF_folder(i) = vbNullString Then
            MsgBox("Incorrect value added in one of the boxes. Please complete the information and try again", 16, "AthenaAut Error")
            k2 = 9999
            Exit Sub
        End If

        If i = 1 And chkSameRefs.Checked = True Then
            For j = 2 To NoSets
                Refbase(j) = Refbase(1)
            Next j

        End If

        If k2 = 99 Then Exit Sub

        If Startvalue(k2) = 0 Then
            txtStartVal.Text = Trim(Str(Startvalue(i)))
        Else
            txtStartVal.Text = Trim(Str(Startvalue(k2)))
        End If

        If Numspectra(k2) = 0 Then
            txtNospectra.Text = Trim(Str(Numspectra(i)))
        Else
            txtNospectra.Text = Trim(Str(Numspectra(k2)))
        End If

        If Numrefs(k2) = 0 Then
            txtNumrefs.Text = Trim(Str(Numrefs(i)))
        Else
            txtNumrefs.Text = Trim(Str(Numrefs(k2)))
        End If

        If Refbase(k2) = vbNullString Then
            txtRefs.Text = Refbase(i)
        Else
            txtRefs.Text = Refbase(k2)
        End If

        If LCF_folder(k2) = vbNullString Then
            txtFolderFiles.Text = LCF_folder(i)
        Else
            txtFolderFiles.Text = LCF_folder(k2)
        End If

    End Sub



    Private Sub chkSameRefs_CheckedChanged(sender As Object, e As EventArgs) Handles chkSameRefs.CheckedChanged

        Dim i As Integer

        If chkSameRefs.Checked = True Then

            For i = 2 To NoSets
                Refbase(i) = Refbase(1)
            Next i

        End If

    End Sub

    Private Sub cmdBrowseFiles_Click(sender As Object, e As EventArgs) Handles cmdBrowseFiles.Click

        Dim check As Boolean
        Dim lastchar As String
        Dim strlength As Integer
        Dim location_Renamed As String


        OpenFileDialog1.Filter = "Comma-delimeted, normalized, XANES data (*.CSV)|*.CSV"
        If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub
        strlength = Len(OpenFileDialog1.FileName)
        lastchar = Mid(OpenFileDialog1.FileName, strlength - 4, 1)

        check = IsNumeric(lastchar)

        If check = False Then
            MsgBox("File name incorrect - it should end with a number", 16, "AthenaAut Error")
            Exit Sub
        End If

        location_Renamed = InStrRev(OpenFileDialog1.FileName, "\")
        OpenFileDialog1.InitialDirectory = Mid(OpenFileDialog1.FileName, 1, location_Renamed - 1)

        txtFolderFiles.Text = OpenFileDialog1.FileName

    End Sub

    Private Sub cmdBrowseRefs_Click(sender As Object, e As EventArgs) Handles cmdBrowseRefs.Click

        Dim location_Renamed As String

        OpenFileDialog2.Filter = "Athena project file (*.PRJ)|*.PRJ"
        If OpenFileDialog2.ShowDialog() = Windows.Forms.DialogResult.Cancel Then Exit Sub

        txtRefs.Text = OpenFileDialog2.FileName
        location_Renamed = InStrRev(OpenFileDialog2.FileName, "\")
        OpenFileDialog2.InitialDirectory = Mid(OpenFileDialog2.FileName, 1, location_Renamed - 1)


    End Sub

    Private Sub cmdBack_Click(sender As Object, e As EventArgs) Handles cmdBack.Click

        Dim i As Integer
        Dim r2 As Integer

        r2 = 99
        Call Sequpdater(mCurrentset, r2)
        If r2 = 9999 Then
            cboNoset.Text = Trim(Str(mCurrentset))
            Exit Sub

        End If

        frmMain.Show()
        mCloseform = True
        If NoSets > 0 Then frmMain.cmdRun.Enabled = True
        Me.Close()


    End Sub

    Private Sub cmdQuit_Click(sender As Object, e As EventArgs) Handles cmdQuit.Click

        frmMain.Show()
        mCloseform = True
        Me.Close()

    End Sub

    Private Sub NotifyIcon2_MouseDoubleClick(sender As Object, e As MouseEventArgs) Handles NotifyIcon2.MouseDoubleClick

    End Sub
End Class